package com.zcloud.modules.kangzai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.dao.BusRiverStructuresDao;
import com.zcloud.modules.kangzai.entity.BusRiverStructuresEntity;
import com.zcloud.modules.kangzai.service.BusRiverStructuresService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流覆盖物(BusRiverStructures)表服务实现类
 * @Date 2025-06-10 16:25:26
 */
@Service("busRiverStructuresService")
public class BusRiverStructuresServiceImpl extends ServiceImpl<BusRiverStructuresDao, BusRiverStructuresEntity> implements BusRiverStructuresService {

    @Override
    public BusRiverStructuresEntity queryByFlexibleParams(String paramName, Object paramValue) {
        QueryWrapper<BusRiverStructuresEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

        return baseMapper.selectOne(queryWrapper);
    }

    @Override
    public List<BusRiverStructuresEntity> queryListByFlexibleParams(String paramName, Object paramValue) {
        QueryWrapper<BusRiverStructuresEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

        return baseMapper.selectList(queryWrapper);
    }

    @Override
    public PageUtils listPage(Map<String, Object> params) {
        Page<Map<String, Object>> page = new Page<>(Integer.parseInt(params.get("curPage").toString()), Integer.parseInt(params.get("limit").toString()));
        params.put("isDelete", 0);
        IPage<BusRiverStructuresEntity> ipage = baseMapper.listPage(page, params);
        return new PageUtils(ipage);
    }


    @Override
    public void delete(String riverStructuresId, String userId) {
        UpdateWrapper<BusRiverStructuresEntity> updateWrapper = new UpdateWrapper<>();

        BusRiverStructuresEntity busRiverStructures = new BusRiverStructuresEntity();

        this.update(busRiverStructures, updateWrapper);
    }
}
